%define with_java7 0
%define with_maven 1
Name:          guava
Version:       09
Release:       %mkrel 1
Summary:       Guava (Google Common Libraries)
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/guava-libraries/
# svn export http://guava-libraries.googlecode.com/svn/tags/release09 guava-r09
# tar czf guava-r09-src-svn.tar.gz guava-r09
Source0:       guava-r09-src-svn.tar.gz
Source1:       maven-filtering-depmap
Patch0:        guava-r09-pom.patch
# http://code.google.com/p/guava-libraries/issues/detail?id=635
Patch1:        guava-r09-openjdk-inference.patch
Patch2:        guava-r09-sourceencoding-UTF-8.patch

BuildRequires: jpackage-utils
%if !%with_java7
BuildRequires: java-devel >= 0:1.6.0
%else
BuildRequires: java-devel >= 0:1.7.0
%endif
BuildRequires: jsr-305 >= 0-0.5.20090319svn.2

%if !%with_maven
BuildRequires: ant
%else
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
%endif

Requires:      jsr-305 >= 0-0.5.20090319svn.2

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch
Obsoletes:     guava09
Provides:      guava09

%description
Guava is a suite of core and expanded libraries that include 
utility classes, Google's collections, io classes, and much 
much more.
This project is a complete packaging of all the Guava libraries
into a single jar.  Individual portions of Guava can be used
by downloading the appropriate module and its dependencies.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n guava-r%{version}

%patch0 -p0
%if !%with_java7
%patch1 -p0
%endif
%patch2 -p0

find -name '*.class' -exec rm -f '{}' \;
# lib/gwt-dev.jar
# lib/gwt-user.jar
rm -rf *javadoc
find -name '*.jar' -exec rm -f '{}' \;

%if !%with_maven
  sed -i "s/jsr305.jar/jsr-305.jar/" build.xml
%endif

%build

%if !%with_maven
  build-jar-repository -s -p lib jsr-305
  ant -Drelease=%{version} -Djava5home=%{_jvmdir} jar javadoc
%else
  mvn-rpmbuild -Dmaven.local.depmap.file=%{SOURCE1} install javadoc:aggregate
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_javadocdir}/%{name}
%if !%with_maven
  install -pm 644 build/dist/guava-%{version}/guava-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}.jar

  cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}
%else
  install -pm 644 target/guava-r%{version}.jar \
    %{buildroot}%{_javadir}/%{name}.jar

  cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%endif

(
  cd %{buildroot}%{_javadir}/
  ln -sf %{name}.jar %{name}09.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "com.google.collections:google-collections"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc AUTHORS CONTRIBUTORS COPYING README README.maven

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Mon Dec 12 2011 gil <gil> 09-1.mga2
+ Revision: 181044
- update to 09
  Obsoletes/Provides guava09
  added backward compatibility symlink
  maven build support

* Thu Jan 20 2011 dmorgan <dmorgan> 05-1.mga1
+ Revision: 25595
- Adapt to mageia
- imported package guava


* Wed Jul 14 2010 Hui wang <huwang@redhat.com> - 05-4
- Patch pom

* Fri Jun 18 2010 Hui Wang <huwang@redhat.com> - 05-3
- Fixed jar name in install section
- Removed spaces in description

* Thu Jun 17 2010 Hui Wang <huwang@redhat.com> - 05-2
- Fixed summary
- Fixed description
- Fixed creating symlink insturctions
- add depmap

* Thu Jun 10 2010 Hui Wang <huwang@redhat.com> - 05-1
- Initial version of the package